Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

52 lines (43 sloc) 1.092 kB
<?php
/*
* This file is part of the Symfony package.
*
* (c) Fabien Potencier <fabien@symfony.com>
*
* For the full copyright and license information, please view the LICENSE
* file that was distributed with this source code.
*/
namespace Symfony\Component\Validator\Constraints;
use Symfony\Component\Validator\Constraint;
/**
* @Annotation
*
* @api
*
* @deprecated Deprecated since version 2.1, to be removed in 2.3.
*/
class Max extends Constraint
{
public $message = 'This value should be {{ limit }} or less.';
public $invalidMessage = 'This value should be a valid number.';
public $limit;
public function __construct($options = null)
{
trigger_error('Max is deprecated since version 2.1 and will be removed in 2.3. Use Range instead.', E_USER_DEPRECATED);
parent::__construct($options);
}
/**
* {@inheritDoc}
*/
public function getDefaultOption()
{
return 'limit';
}
/**
* {@inheritDoc}
*/
public function getRequiredOptions()
{
return array('limit');
}
}
Jump to Line
Something went wrong with that request. Please try again.